# Ogre::MeshSerializerListener Class Reference

`#include <OgreMeshSerializer.h>`

List of all members.

## Public Member Functions

virtual | ~MeshSerializerListener ()
virtual void | processMaterialName (Mesh *mesh, String *name)=0
| Called to override the loading of the given named material.
virtual void | processSkeletonName (Mesh *mesh, String *name)=0
| Called to override the reference to a skeleton.

## Detailed Description

Remarks:
  This class allows users to hook into the mesh loading process and modify references within the mesh as they are loading. Material and skeletal references can be processed using this interface which allows finer control over resources.

Definition at line 112 of file OgreMeshSerializer.h.

## Constructor & Destructor Documentation

virtual Ogre::MeshSerializerListener::~MeshSerializerListener | ( |  | ) | `[virtual]`

Definition at line 115 of file OgreMeshSerializer.h.

## Member Function Documentation

virtual void Ogre::MeshSerializerListener::processMaterialName | ( | Mesh * | mesh,
|  | String * | name |
| ) |  |  | `[pure virtual]`

Called to override the loading of the given named material.

virtual void Ogre::MeshSerializerListener::processSkeletonName | ( | Mesh * | mesh,
|  | String * | name |
| ) |  |  | `[pure virtual]`

Called to override the reference to a skeleton.

The documentation for this class was generated from the following file:

- OgreMeshSerializer.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Dec 27 17:32:58 2009